PROGRAM JSCLDIMAGE!       Example scaledimage.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-15  Time: 12:56:41

USE JAPI 

INTEGER :: frame,canvas,image

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  GO TO 20
END IF

frame   = j_frame("Scaled Image")
canvas  = j_canvas(frame,300,300)

CALL j_setpos(canvas,10,30)

CALL j_show(frame)
CALL j_pack(frame)

CALL j_fillcircle(canvas,150,150,100)
image = j_getscaledimage(canvas, 50, 50, 250, 250, 50, 50 )

CALL j_drawscaledimage(canvas,image,0,0,25,25,0,0,100,100)
NEXTACTION: DO
      IF(j_nextaction() == frame) EXIT NEXTACTION
END DO NEXTACTION
20  continue
CALL j_quit()
END PROGRAM JSCLDIMAGE

